C====== IOT3- SYMBOL =FOR REAL DATA ===
      SUBROUTINE IOT3(A,B,C,D,E,F,RES)
      INTEGER J,I1,I2,I3,I4,I5,I6,I7,I8,I9,
     *        LZ,I10,I11,I12,I13,I14,I15,I16
      REAL*8 SUM,IC,A,B,C,D,E,F,RES
      RES=0.
      SUM=RES
      IF(D+E+F.NE.0.) GOTO 50
      J=IDINT(A+B+C)
      I1=IDINT(2*A)
      I2=IDINT(2*B)
      I3=IDINT(2*C)
      I4=J-I3
      I7=J-I2
      I8=J-I1
      I9=IDINT(A-D)
      I10=IDINT(B-E)
      I11=IDINT(C-F)
      I12=IDINT(A+B-C)
      I13=IDINT(B+E)
      I14=IDINT(A+E-C)
      I15=IDINT(B-C-D)
      I16=IDINT(A-B-F)
      RES=DSQRT(IC(I1,I4)*IC(I2,I4)/
     *(IC(J+1,I4)*IC(I1,I9)*
     * IC(I2,I10)*IC(I3,I11)))
C      PRINT 100,RES,SUM
C00    FORMAT('RES1,SUM',2E15.8)
      I5=MIN0(I12,I9,I13)
      I6=MAX0(I14,I15,0)
      IF(I6.GT.I5) THEN
      SUM=1.
      GOTO 50
      END IF
      DO 20  LZ=I6,I5
      IF(LZ.NE.0) GOTO 30
      SUM=SUM+(IC(I7,I9)*IC(I8,I13))
      GOTO 20
30    CONTINUE
      SUM=SUM+(-1.)**LZ*(
     * IC(I4,LZ)*IC(I7,I9-LZ)*
     * IC(I8,I13-LZ))
20    CONTINUE
50    CONTINUE
      RES=RES*SUM*(-1)**(I16)/DSQRT(2.*C+1.)
C      PRINT 200,RES,SUM
C00    FORMAT('RES2,SUM',2E15.8)
      RETURN
      END
